Skip to main content
POST
simulateBundle

Request Parameters

object
必填
First configuration object. Contains the encoded transactions for the simulation.
array
Array of encoded, serialized transactions for simulation. The encoding is determined by the transactionEncoding field (base-64 by default).
object
Second configuration object. Optional.
array
必填
Specifies which accounts to capture during simulation.This captures the account states before the transaction is executed.An array element at an index configures the transaction that is at the same index in the bundle.For each transaction in the bundle:
  • Pass null if you do not want any account state to be returned.
  • Or, provide an object describing which accounts to return.
The array length must be equal to the number of transactions in the bundle.
array
必填
Specifies which accounts to capture during simulation.This captures the account states after the transaction is executed.An array element at an index configures the transaction that is at the same index in the bundle.For each transaction in the bundle:
  • Pass null if you do not want any account state to be returned.
  • Or, provide an object describing which accounts to return.
The array length must be equal to the number of transactions in the bundle.
string
默认值:"base64"
The transaction encoding used in encodedTransactions.
  • base64
  • base58
any
Specified which bank to run the simulation against. Can be the tip, a slot, or a commitment level.
boolean
默认值:"false"
Whether to skip signature verification before simulation.
boolean
默认值:"false"
Whether to replace the simulated transaction’s recent blockhash with the latest blockhash.

授权

api-key
string
query
必填

Your Helius API key. You can get one for free in the dashboard.

请求体

application/json
jsonrpc
enum<string>
默认值:2.0

The JSON-RPC protocol version.

可用选项:
2.0
示例:

"2.0"

id
string
默认值:1

A unique identifier for the request.

示例:

"1"

method
enum<string>
默认值:simulateBundle

The name of the RPC method to invoke.

可用选项:
simulateBundle
示例:

"simulateBundle"

params
object[]

Parameters for simulating a JITO bundle.

响应

Successfully simulated the bundle.

jsonrpc
enum<string>

The JSON-RPC protocol version.

可用选项:
2.0
示例:

"2.0"

id
string

Identifier matching the request.

示例:

"1"

result
object

Result of the simulated bundle.